//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Thu May  9 16:43:14 2002 by ROOT version3.01/06)
//   from TTree h100/standard
//   found on file: hec_adc_11555_nov8_20k.root
//////////////////////////////////////////////////////////


#ifndef HecRunHeader2001v0_h
#define HecRunHeader2001v0_h

#include "TROOT.h"
#include "TChain.h"
#include "TFile.h"
#include <string>
#include <iostream>

using std::string;
using std::cout;
using std::endl;

class HecRunHeader2001v0 {
   public :
   TTree          *fChain;   //pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //current Tree number in a TChain
//Declaration of leaves types
private:
   UInt_t          hec_run;
   UInt_t          hec_runpd;
   Float_t         hec_beame;
   Float_t         hec_cryox;
   Float_t         hec_tabley;
   Float_t         hec_zbeam;
   UInt_t          hec_parttype;
   Int_t           hec_peakf;
   UInt_t          hec_cal_version;
   UInt_t          hec_dig_version;
   UInt_t          hec_shower;
   UInt_t          hec_eunit;
   Int_t           hec_adc_max;
   Int_t           hec_cells_used;
 public:
   UInt_t          hec_index[320];
   Float_t         hec_ped_rms[320];
   UInt_t          hec_ieta[320];
   UInt_t          hec_iphi[320];
   UInt_t          hec_iz[320];
   UInt_t          hec_ic[320];

//List of branches
   TBranch        *b_hec_run;
   TBranch        *b_hec_runpd;
   TBranch        *b_hec_beame;
   TBranch        *b_hec_cryox;
   TBranch        *b_hec_tabley;
   TBranch        *b_hec_zbeam;
   TBranch        *b_hec_parttype;
   TBranch        *b_hec_peakf;
   TBranch        *b_hec_cal_version;
   TBranch        *b_hec_dig_version;
   TBranch        *b_hec_shower;
   TBranch        *b_hec_eunit;
   TBranch        *b_hec_adc_max;
   TBranch        *b_hec_index;
   TBranch        *b_hec_cells_used;
   TBranch        *b_hec_ped_rms;
   TBranch        *b_hec_ieta;
   TBranch        *b_hec_iphi;
   TBranch        *b_hec_iz;
   TBranch        *b_hec_ic;





   HecRunHeader2001v0(TTree *tree=0,string fileName=0);
   ~HecRunHeader2001v0();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);

   //get methods
   int     getHec_run()        {return hec_run;};
   int     getHec_runpd()      { return hec_runpd;};
   float   getHec_beame()      { return hec_beame;};
   float   getHec_cryox()      {return hec_cryox;};
   float   getHec_tabley()     { return hec_tabley; };
   float   getHec_zbeam()    { return hec_zbeam;};
   int     getHec_parttype()   { return hec_parttype;};
   int     getHec_peakf()      { return hec_peakf; };
   int     getHec_cal_version(){ return hec_cal_version;};
   int     getHec_gid_version(){ return hec_dig_version;};
   int     getHec_shower()     { return hec_shower;};
   int     getHec_eunit()      { return hec_eunit;};
   int     getHec_adc_max()    { return hec_adc_max;};
   int     getHec_cells_used(){ hec_cells_used;};
   //these are as of yet unimplemented
   //   UInt_t          hec_index[320];
   //   Float_t         hec_ped_rms[320];
   //   UInt_t          hec_ieta[320];
   //   UInt_t          hec_iphi[320];
   //   UInt_t          hec_iz[320];
   //   UInt_t          hec_ic[320];

   int numEvents();
};

#endif

#ifdef HecRunHeader2001v0_cxx


HecRunHeader2001v0::HecRunHeader2001v0(TTree *tree,string fileName)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   TFile *f ;
   if (tree == 0) {
         f = new TFile(fileName.c_str());

      tree = (TTree*)f->Get("h100");

   }
   Init(tree);
}

HecRunHeader2001v0::~HecRunHeader2001v0()
{
   if (!fChain) return;
   //delete fChain->GetCurrentFile(); //commented out because of core dump
}

Int_t HecRunHeader2001v0::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t HecRunHeader2001v0::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void HecRunHeader2001v0::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("hec_run",&hec_run);
   fChain->SetBranchAddress("hec_runpd",&hec_runpd);
   fChain->SetBranchAddress("hec_beame",&hec_beame);
   fChain->SetBranchAddress("hec_cryox",&hec_cryox);
   fChain->SetBranchAddress("hec_tabley",&hec_tabley);
   fChain->SetBranchAddress("hec_zbeam",&hec_zbeam);
   fChain->SetBranchAddress("hec_parttype",&hec_parttype);
   fChain->SetBranchAddress("hec_peakf",&hec_peakf);
   fChain->SetBranchAddress("hec_cal_version",&hec_cal_version);
   fChain->SetBranchAddress("hec_dig_version",&hec_dig_version);
   fChain->SetBranchAddress("hec_shower",&hec_shower);
   fChain->SetBranchAddress("hec_eunit",&hec_eunit);
   fChain->SetBranchAddress("hec_adc_max",&hec_adc_max);
   fChain->SetBranchAddress("hec_index",hec_index);
   fChain->SetBranchAddress("hec_cells_used",&hec_cells_used);
   fChain->SetBranchAddress("hec_ped_rms",hec_ped_rms);
   fChain->SetBranchAddress("hec_ieta",hec_ieta);
   fChain->SetBranchAddress("hec_iphi",hec_iphi);
   fChain->SetBranchAddress("hec_iz",hec_iz);
   fChain->SetBranchAddress("hec_ic",hec_ic);
   Notify();
}

Bool_t HecRunHeader2001v0::Notify()
{
//   called when loading a new file
//   get branch pointers
   b_hec_run = fChain->GetBranch("hec_run");
   b_hec_runpd = fChain->GetBranch("hec_runpd");
   b_hec_beame = fChain->GetBranch("hec_beame");
   b_hec_cryox = fChain->GetBranch("hec_cryox");
   b_hec_tabley = fChain->GetBranch("hec_tabley");
   b_hec_zbeam = fChain->GetBranch("hec_zbeam");
   b_hec_parttype = fChain->GetBranch("hec_parttype");
   b_hec_peakf = fChain->GetBranch("hec_peakf");
   b_hec_cal_version = fChain->GetBranch("hec_cal_version");
   b_hec_dig_version = fChain->GetBranch("hec_dig_version");
   b_hec_shower = fChain->GetBranch("hec_shower");
   b_hec_eunit = fChain->GetBranch("hec_eunit");
   b_hec_adc_max = fChain->GetBranch("hec_adc_max");
   b_hec_index = fChain->GetBranch("hec_index");
   b_hec_cells_used = fChain->GetBranch("hec_cells_used");
   b_hec_ped_rms = fChain->GetBranch("hec_ped_rms");
   b_hec_ieta = fChain->GetBranch("hec_ieta");
   b_hec_iphi = fChain->GetBranch("hec_iphi");
   b_hec_iz = fChain->GetBranch("hec_iz");
   b_hec_ic = fChain->GetBranch("hec_ic");
   return kTRUE;
}

void HecRunHeader2001v0::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t HecRunHeader2001v0::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}

int HecRunHeader2001v0::numEvents(){
  return int(fChain->GetEntries());
}
#endif // #ifdef HecRunHeader2001v0_cxx

