#include "TBID.h"

/* Some notes on the bit packing for the identifier.
 boundary	
        hec      emec     at least
z     [ 1, 3]   [ 0, 3]    2bits
eta   [ 1,14]   [ 0,67]    7bits
phi   [ 1, 6]   [ 0,31]    5bits
idet    2          1       2bits

However in the interest of simplicity the Quantities will each be packed in their own bytes
*/

TBID::TBID(int idet, int ieta, int iphi, int iz){
  m_id = id(idet,ieta, iphi,iz);
}

int TBID::id() {
  return m_id;
}

int TBID::id(int idet, int ieta, int iphi, int iz) {
  // here we shift the bits an appropriate amount and then
  // perform a bitwise OR to pack them into an int.
  return ( ieta | (iphi<<BIT_PHI) | (iz<<BIT_Z) | (idet<<BIT_DET) );
}

int TBID::ieta() {
  return (m_id&0x00ff); // AND 11111111
}

int TBID::ieta(int ID) {
  return (ID&0x00ff);// AND 11111111
}

int TBID::iphi() {
  return ((m_id>>BIT_PHI)&0x00ff); // AND 11111111
}

int TBID::iphi(int ID) {
  return ((ID>>BIT_PHI)&0x00ff);// AND 11111111
}

int TBID::iz() {
  return ((m_id>>BIT_Z)&0x00ff);// AND 11111111
}

int TBID::iz(int ID) {
  return ((ID>>BIT_Z)&0x00ff); // AND 11111111
}

int TBID::idet() {
  return ((m_id>>BIT_DET)&0x0003); // AND 11111111
}

int TBID::idet(int ID) {
  return ((ID>>BIT_DET)&0x0003); // AND 11111111
}














